Assign AML customer reference ID
Sets an AML/KYT customer reference ID for a specific address. Endpoint Permission: Admin, Non-Signing Admin.
POST
/
vault
/
accounts
/
{vaultAccountId}
/
{assetId}
/
addresses
/
{addressId}
/
set_customer_ref_id
TypeScript
const response: Promise<FireblocksResponse<VaultActionStatus>> = fireblocks.vaults.setCustomerRefIdForAddress(vaultsApiSetCustomerRefIdForAddressRequest);CompletableFuture<ApiResponse<VaultActionStatus>> response = fireblocks.vaults().setCustomerRefIdForAddress(setCustomerRefIdForAddressRequest, vaultAccountId, assetId, addressId, idempotencyKey);response = fireblocks.vaults.set_customer_ref_id_for_address(set_customer_ref_id_for_address_request, vault_account_id, asset_id, address_id, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/{assetId}/addresses/{addressId}/set_customer_ref_id \
--header 'Content-Type: application/json' \
--data '
{
"customerRefId": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({customerRefId: '<string>'})
};
fetch('https://api.fireblocks.io/v1/vault/accounts/{vaultAccountId}/{assetId}/addresses/{addressId}/set_customer_ref_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
The ID of the vault account
The ID of the asset
The address for which to add a description. For XRP, use
:, for all other assets, use only the addressBody
application/json
Customer reference ID
Response
OK
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<VaultActionStatus>> = fireblocks.vaults.setCustomerRefIdForAddress(vaultsApiSetCustomerRefIdForAddressRequest);CompletableFuture<ApiResponse<VaultActionStatus>> response = fireblocks.vaults().setCustomerRefIdForAddress(setCustomerRefIdForAddressRequest, vaultAccountId, assetId, addressId, idempotencyKey);response = fireblocks.vaults.set_customer_ref_id_for_address(set_customer_ref_id_for_address_request, vault_account_id, asset_id, address_id, idempotency_key);